Back to index

salome-geom  6.5.0
Functions
Creating 3D Primitives
Creating geometrical objects
Collaboration diagram for Creating 3D Primitives:

Functions

def geompyDC.geompyDC.MakeBox
 Create a box by coordinates of two opposite vertices.
def geompyDC.geompyDC.MakeBoxDXDYDZ
 Create a box with specified dimensions along the coordinate axes and with edges, parallel to the coordinate axes.
def geompyDC.geompyDC.MakeBoxTwoPnt
 Create a box with two specified opposite vertices, and with edges, parallel to the coordinate axes.
def geompyDC.geompyDC.MakeFaceHW
 Create a face with specified dimensions with edges parallel to coordinate axes.
def geompyDC.geompyDC.MakeFaceObjHW
 Create a face from another plane and two sizes, vertical size and horisontal size.
def geompyDC.geompyDC.MakeDiskPntVecR
 Create a disk with given center, normal vector and radius.
def geompyDC.geompyDC.MakeDiskThreePnt
 Create a disk, passing through three given points.
def geompyDC.geompyDC.MakeDiskR
 Create a disk with specified dimensions along OX-OY coordinate axes.
def geompyDC.geompyDC.MakeCylinder
 Create a cylinder with given base point, axis, radius and height.
def geompyDC.geompyDC.MakeCylinderRH
 Create a cylinder with given radius and height at the origin of coordinate system.
def geompyDC.geompyDC.MakeSpherePntR
 Create a sphere with given center and radius.
def geompyDC.geompyDC.MakeSphere
 Create a sphere with given center and radius.
def geompyDC.geompyDC.MakeSphereR
 Create a sphere with given radius at the origin of coordinate system.
def geompyDC.geompyDC.MakeCone
 Create a cone with given base point, axis, height and radiuses.
def geompyDC.geompyDC.MakeConeR1R2H
 Create a cone with given height and radiuses at the origin of coordinate system.
def geompyDC.geompyDC.MakeTorus
 Create a torus with given center, normal vector and radiuses.
def geompyDC.geompyDC.MakeTorusRR
 Create a torus with given radiuses at the origin of coordinate system.

Function Documentation

def geompyDC.geompyDC.MakeBox (   self,
  x1,
  y1,
  z1,
  x2,
  y2,
  z2 
)

Create a box by coordinates of two opposite vertices.

Parameters:
x1,y1,z1double values, defining first point it.
x2,y2,z2double values, defining first point it.
Returns:
New GEOM.GEOM_Object, containing the created box. Example
Create a box by coordinates of two opposite vertices.

Parameters:
    x1,y1,z1 double values, defining first point.
    x2,y2,z2 double values, defining second point.
    
Returns:
    New GEOM.GEOM_Object, containing the created box.

Definition at line 1767 of file geompyDC.py.

01767 
01768         def MakeBox(self,x1,y1,z1,x2,y2,z2):
01769             """
01770             Create a box by coordinates of two opposite vertices.
01771             
01772             Parameters:
01773                 x1,y1,z1 double values, defining first point.
01774                 x2,y2,z2 double values, defining second point.
01775                 
01776             Returns:
01777                 New GEOM.GEOM_Object, containing the created box.
01778             """
01779             # Example: see GEOM_TestAll.py
01780             pnt1 = self.MakeVertex(x1,y1,z1)
01781             pnt2 = self.MakeVertex(x2,y2,z2)
01782             return self.MakeBoxTwoPnt(pnt1,pnt2)

Here is the call graph for this function:

def geompyDC.geompyDC.MakeBoxDXDYDZ (   self,
  theDX,
  theDY,
  theDZ 
)

Create a box with specified dimensions along the coordinate axes and with edges, parallel to the coordinate axes.

Center of the box will be at point (DX/2, DY/2, DZ/2).

Parameters:
theDXLength of Box edges, parallel to OX axis.
theDYLength of Box edges, parallel to OY axis.
theDZLength of Box edges, parallel to OZ axis.
Returns:
New GEOM.GEOM_Object, containing the created box.

Example

Create a box with specified dimensions along the coordinate axes
and with edges, parallel to the coordinate axes.
Center of the box will be at point (DX/2, DY/2, DZ/2).

Parameters:
    theDX Length of Box edges, parallel to OX axis.
    theDY Length of Box edges, parallel to OY axis.
    theDZ Length of Box edges, parallel to OZ axis.

Returns:   
    New GEOM.GEOM_Object, containing the created box.

Definition at line 1792 of file geompyDC.py.

01792 
01793         def MakeBoxDXDYDZ(self,theDX, theDY, theDZ):
01794             """
01795             Create a box with specified dimensions along the coordinate axes
01796             and with edges, parallel to the coordinate axes.
01797             Center of the box will be at point (DX/2, DY/2, DZ/2).
01798 
01799             Parameters:
01800                 theDX Length of Box edges, parallel to OX axis.
01801                 theDY Length of Box edges, parallel to OY axis.
01802                 theDZ Length of Box edges, parallel to OZ axis.
01803 
01804             Returns:   
01805                 New GEOM.GEOM_Object, containing the created box.
01806             """
01807             # Example: see GEOM_TestAll.py
01808             theDX,theDY,theDZ,Parameters = ParseParameters(theDX, theDY, theDZ)
01809             anObj = self.PrimOp.MakeBoxDXDYDZ(theDX, theDY, theDZ)
01810             RaiseIfFailed("MakeBoxDXDYDZ", self.PrimOp)
01811             anObj.SetParameters(Parameters)
01812             return anObj

Here is the call graph for this function:

def geompyDC.geompyDC.MakeBoxTwoPnt (   self,
  thePnt1,
  thePnt2 
)

Create a box with two specified opposite vertices, and with edges, parallel to the coordinate axes.

Parameters:
thePnt1First of two opposite vertices.
thePnt2Second of two opposite vertices.
Returns:
New GEOM.GEOM_Object, containing the created box.

Example

Create a box with two specified opposite vertices,
and with edges, parallel to the coordinate axes

Parameters:
    thePnt1 First of two opposite vertices.
    thePnt2 Second of two opposite vertices.

Returns:
    New GEOM.GEOM_Object, containing the created box.

Definition at line 1820 of file geompyDC.py.

01820 
01821         def MakeBoxTwoPnt(self,thePnt1, thePnt2):
01822             """
01823             Create a box with two specified opposite vertices,
01824             and with edges, parallel to the coordinate axes
01825 
01826             Parameters:
01827                 thePnt1 First of two opposite vertices.
01828                 thePnt2 Second of two opposite vertices.
01829 
01830             Returns:
01831                 New GEOM.GEOM_Object, containing the created box.
01832             """
01833             # Example: see GEOM_TestAll.py
01834             anObj = self.PrimOp.MakeBoxTwoPnt(thePnt1, thePnt2)
01835             RaiseIfFailed("MakeBoxTwoPnt", self.PrimOp)
01836             return anObj

Here is the call graph for this function:

Here is the caller graph for this function:

def geompyDC.geompyDC.MakeCone (   self,
  thePnt,
  theAxis,
  theR1,
  theR2,
  theH 
)

Create a cone with given base point, axis, height and radiuses.

Parameters:
thePntCentral point of the first cone base.
theAxisCone axis.
theR1Radius of the first cone base.
theR2Radius of the second cone base.
Note:
If both radiuses are non-zero, the cone will be truncated.
If the radiuses are equal, a cylinder will be created instead.
Parameters:
theHCone height.
Returns:
New GEOM.GEOM_Object, containing the created cone.

Example

Create a cone with given base point, axis, height and radiuses.

Parameters: 
    thePnt Central point of the first cone base.
    theAxis Cone axis.
    theR1 Radius of the first cone base.
    theR2 Radius of the second cone base.
    theH Cone height.

           Note:
    If both radiuses are non-zero, the cone will be truncated.
    If the radiuses are equal, a cylinder will be created instead.

           Returns:
    New GEOM.GEOM_Object, containing the created cone.

Definition at line 2101 of file geompyDC.py.

02101 
02102         def MakeCone(self,thePnt, theAxis, theR1, theR2, theH):
02103             """
02104             Create a cone with given base point, axis, height and radiuses.
02105 
02106             Parameters: 
02107                 thePnt Central point of the first cone base.
02108                 theAxis Cone axis.
02109                 theR1 Radius of the first cone base.
02110                 theR2 Radius of the second cone base.
02111                 theH Cone height.
02112 
02113            Note:
02114                 If both radiuses are non-zero, the cone will be truncated.
02115                 If the radiuses are equal, a cylinder will be created instead.
02116 
02117            Returns:
02118                 New GEOM.GEOM_Object, containing the created cone.
02119             """
02120             # Example: see GEOM_TestAll.py
02121             theR1,theR2,theH,Parameters = ParseParameters(theR1,theR2,theH)
02122             anObj = self.PrimOp.MakeConePntVecR1R2H(thePnt, theAxis, theR1, theR2, theH)
02123             RaiseIfFailed("MakeConePntVecR1R2H", self.PrimOp)
02124             anObj.SetParameters(Parameters)
02125             return anObj

Here is the call graph for this function:

def geompyDC.geompyDC.MakeConeR1R2H (   self,
  theR1,
  theR2,
  theH 
)

Create a cone with given height and radiuses at the origin of coordinate system.

Axis of the cone will be collinear to the OZ axis of the coordinate system.

Parameters:
theR1Radius of the first cone base.
theR2Radius of the second cone base.
Note:
If both radiuses are non-zero, the cone will be truncated.
If the radiuses are equal, a cylinder will be created instead.
Parameters:
theHCone height.
Returns:
New GEOM.GEOM_Object, containing the created cone.

Example

Create a cone with given height and radiuses at
the origin of coordinate system. Axis of the cone will
be collinear to the OZ axis of the coordinate system.

Parameters: 
    theR1 Radius of the first cone base.
    theR2 Radius of the second cone base.
    theH Cone height.

Note:
    If both radiuses are non-zero, the cone will be truncated.
    If the radiuses are equal, a cylinder will be created instead.

           Returns:
    New GEOM.GEOM_Object, containing the created cone.

Definition at line 2137 of file geompyDC.py.

02137 
02138         def MakeConeR1R2H(self,theR1, theR2, theH):
02139             """
02140             Create a cone with given height and radiuses at
02141             the origin of coordinate system. Axis of the cone will
02142             be collinear to the OZ axis of the coordinate system.
02143 
02144             Parameters: 
02145                 theR1 Radius of the first cone base.
02146                 theR2 Radius of the second cone base.
02147                 theH Cone height.
02148 
02149             Note:
02150                 If both radiuses are non-zero, the cone will be truncated.
02151                 If the radiuses are equal, a cylinder will be created instead.
02152 
02153            Returns:
02154                 New GEOM.GEOM_Object, containing the created cone.
02155             """
02156             # Example: see GEOM_TestAll.py
02157             theR1,theR2,theH,Parameters = ParseParameters(theR1,theR2,theH)
02158             anObj = self.PrimOp.MakeConeR1R2H(theR1, theR2, theH)
02159             RaiseIfFailed("MakeConeR1R2H", self.PrimOp)
02160             anObj.SetParameters(Parameters)
02161             return anObj

Here is the call graph for this function:

def geompyDC.geompyDC.MakeCylinder (   self,
  thePnt,
  theAxis,
  theR,
  theH 
)

Create a cylinder with given base point, axis, radius and height.

Parameters:
thePntCentral point of cylinder base.
theAxisCylinder axis.
theRCylinder radius.
theHCylinder height.
Returns:
New GEOM.GEOM_Object, containing the created cylinder.

Example

Create a cylinder with given base point, axis, radius and height.

Parameters:
    thePnt Central point of cylinder base.
    theAxis Cylinder axis.
    theR Cylinder radius.
    theH Cylinder height.

Returns: 
    New GEOM.GEOM_Object, containing the created cylinder.

Definition at line 1974 of file geompyDC.py.

01974 
01975         def MakeCylinder(self,thePnt, theAxis, theR, theH):
01976             """
01977             Create a cylinder with given base point, axis, radius and height.
01978 
01979             Parameters:
01980                 thePnt Central point of cylinder base.
01981                 theAxis Cylinder axis.
01982                 theR Cylinder radius.
01983                 theH Cylinder height.
01984 
01985             Returns: 
01986                 New GEOM.GEOM_Object, containing the created cylinder.
01987             """
01988             # Example: see GEOM_TestAll.py
01989             theR,theH,Parameters = ParseParameters(theR, theH)
01990             anObj = self.PrimOp.MakeCylinderPntVecRH(thePnt, theAxis, theR, theH)
01991             RaiseIfFailed("MakeCylinderPntVecRH", self.PrimOp)
01992             anObj.SetParameters(Parameters)
01993             return anObj

Here is the call graph for this function:

def geompyDC.geompyDC.MakeCylinderRH (   self,
  theR,
  theH 
)

Create a cylinder with given radius and height at the origin of coordinate system.

Axis of the cylinder will be collinear to the OZ axis of the coordinate system.

Parameters:
theRCylinder radius.
theHCylinder height.
Returns:
New GEOM.GEOM_Object, containing the created cylinder.

Example

Create a cylinder with given radius and height at
the origin of coordinate system. Axis of the cylinder
will be collinear to the OZ axis of the coordinate system.

Parameters:
    theR Cylinder radius.
    theH Cylinder height.

Returns:    
    New GEOM.GEOM_Object, containing the created cylinder.

Definition at line 2002 of file geompyDC.py.

02002 
02003         def MakeCylinderRH(self,theR, theH):
02004             """
02005             Create a cylinder with given radius and height at
02006             the origin of coordinate system. Axis of the cylinder
02007             will be collinear to the OZ axis of the coordinate system.
02008 
02009             Parameters:
02010                 theR Cylinder radius.
02011                 theH Cylinder height.
02012 
02013             Returns:    
02014                 New GEOM.GEOM_Object, containing the created cylinder.
02015             """
02016             # Example: see GEOM_TestAll.py
02017             theR,theH,Parameters = ParseParameters(theR, theH)
02018             anObj = self.PrimOp.MakeCylinderRH(theR, theH)
02019             RaiseIfFailed("MakeCylinderRH", self.PrimOp)
02020             anObj.SetParameters(Parameters)
02021             return anObj

Here is the call graph for this function:

def geompyDC.geompyDC.MakeDiskPntVecR (   self,
  thePnt,
  theVec,
  theR 
)

Create a disk with given center, normal vector and radius.

Parameters:
thePntDisk center.
theVecVector, normal to the plane of the disk.
theRDisk radius.
Returns:
New GEOM.GEOM_Object, containing the created disk.

Example

Create a disk with given center, normal vector and radius.

Parameters:
    thePnt Disk center.
    theVec Vector, normal to the plane of the disk.
    theR Disk radius.

Returns:    
    New GEOM.GEOM_Object, containing the created disk.

Definition at line 1900 of file geompyDC.py.

01900 
01901         def MakeDiskPntVecR(self,thePnt, theVec, theR):
01902             """
01903             Create a disk with given center, normal vector and radius.
01904 
01905             Parameters:
01906                 thePnt Disk center.
01907                 theVec Vector, normal to the plane of the disk.
01908                 theR Disk radius.
01909 
01910             Returns:    
01911                 New GEOM.GEOM_Object, containing the created disk.
01912             """
01913             # Example: see GEOM_TestAll.py
01914             theR,Parameters = ParseParameters(theR)
01915             anObj = self.PrimOp.MakeDiskPntVecR(thePnt, theVec, theR)
01916             RaiseIfFailed("MakeDiskPntVecR", self.PrimOp)
01917             anObj.SetParameters(Parameters)
01918             return anObj

Here is the call graph for this function:

def geompyDC.geompyDC.MakeDiskR (   self,
  theR,
  theOrientation 
)

Create a disk with specified dimensions along OX-OY coordinate axes.

Parameters:
theRRadius of Face.
theOrientationset the orientation belong axis OXY or OYZ or OZX
Returns:
New GEOM.GEOM_Object, containing the created disk.

Example

Create a disk with specified dimensions along OX-OY coordinate axes.

Parameters:
    theR Radius of Face.
    theOrientation set the orientation belong axis OXY or OYZ or OZX

Returns: 
    New GEOM.GEOM_Object, containing the created disk.

Example of usage:
    Disk3 = geompy.MakeDiskR(100., 1)   #(1 Doubles, 1 Int)->GEOM_Object

Definition at line 1945 of file geompyDC.py.

01945 
01946         def MakeDiskR(self,theR, theOrientation):
01947             """
01948             Create a disk with specified dimensions along OX-OY coordinate axes.
01949 
01950             Parameters:
01951                 theR Radius of Face.
01952                 theOrientation set the orientation belong axis OXY or OYZ or OZX
01953 
01954             Returns: 
01955                 New GEOM.GEOM_Object, containing the created disk.
01956 
01957             Example of usage:
01958                 Disk3 = geompy.MakeDiskR(100., 1)   #(1 Doubles, 1 Int)->GEOM_Object
01959             """
01960             # Example: see GEOM_TestAll.py
01961             theR,Parameters = ParseParameters(theR)
01962             anObj = self.PrimOp.MakeDiskR(theR, theOrientation)
01963             RaiseIfFailed("MakeDiskR", self.PrimOp)
01964             anObj.SetParameters(Parameters)
01965             return anObj

Here is the call graph for this function:

def geompyDC.geompyDC.MakeDiskThreePnt (   self,
  thePnt1,
  thePnt2,
  thePnt3 
)

Create a disk, passing through three given points.

Parameters:
thePnt1,thePnt2,thePnt3Points, defining the disk.
Returns:
New GEOM.GEOM_Object, containing the created disk.

Example

Create a disk, passing through three given points

Parameters:
    thePnt1,thePnt2,thePnt3 Points, defining the disk.

Returns:    
    New GEOM.GEOM_Object, containing the created disk.

Definition at line 1924 of file geompyDC.py.

01924 
01925         def MakeDiskThreePnt(self,thePnt1, thePnt2, thePnt3):
01926             """
01927             Create a disk, passing through three given points
01928 
01929             Parameters:
01930                 thePnt1,thePnt2,thePnt3 Points, defining the disk.
01931 
01932             Returns:    
01933                 New GEOM.GEOM_Object, containing the created disk.
01934             """
01935             # Example: see GEOM_TestAll.py
01936             anObj = self.PrimOp.MakeDiskThreePnt(thePnt1, thePnt2, thePnt3)
01937             RaiseIfFailed("MakeDiskThreePnt", self.PrimOp)
01938             return anObj

Here is the call graph for this function:

def geompyDC.geompyDC.MakeFaceHW (   self,
  theH,
  theW,
  theOrientation 
)

Create a face with specified dimensions with edges parallel to coordinate axes.

Parameters:
theHheight of Face.
theWwidth of Face.
theOrientationface orientation: 1-OXY, 2-OYZ, 3-OZX
Returns:
New GEOM.GEOM_Object, containing the created face.

Example

Create a face with specified dimensions with edges parallel to coordinate axes.

Parameters:
    theH height of Face.
    theW width of Face.
    theOrientation face orientation: 1-OXY, 2-OYZ, 3-OZX

Returns:
    New GEOM.GEOM_Object, containing the created face.

Definition at line 1844 of file geompyDC.py.

01844 
01845         def MakeFaceHW(self,theH, theW, theOrientation):
01846             """
01847             Create a face with specified dimensions with edges parallel to coordinate axes.
01848 
01849             Parameters:
01850                 theH height of Face.
01851                 theW width of Face.
01852                 theOrientation face orientation: 1-OXY, 2-OYZ, 3-OZX
01853 
01854             Returns:
01855                 New GEOM.GEOM_Object, containing the created face.
01856             """
01857             # Example: see GEOM_TestAll.py
01858             theH,theW,Parameters = ParseParameters(theH, theW)
01859             anObj = self.PrimOp.MakeFaceHW(theH, theW, theOrientation)
01860             RaiseIfFailed("MakeFaceHW", self.PrimOp)
01861             anObj.SetParameters(Parameters)
01862             return anObj

Here is the call graph for this function:

def geompyDC.geompyDC.MakeFaceObjHW (   self,
  theObj,
  theH,
  theW 
)

Create a face from another plane and two sizes, vertical size and horisontal size.

Parameters:
theObjNormale vector to the creating face or the face object.
theHHeight (vertical size).
theWWidth (horisontal size).
Returns:
New GEOM.GEOM_Object, containing the created face.

Example

Create a face from another plane and two sizes,
vertical size and horisontal size.

Parameters:
    theObj   Normale vector to the creating face or
 the face object.
    theH     Height (vertical size).
    theW     Width (horisontal size).

Returns:
    New GEOM_Object, containing the created face.

Definition at line 1872 of file geompyDC.py.

01872 
01873         def MakeFaceObjHW(self, theObj, theH, theW):
01874             """
01875             Create a face from another plane and two sizes,
01876             vertical size and horisontal size.
01877 
01878             Parameters:
01879                 theObj   Normale vector to the creating face or
01880                          the face object.
01881                 theH     Height (vertical size).
01882                 theW     Width (horisontal size).
01883 
01884             Returns:
01885                 New GEOM_Object, containing the created face.
01886             """
01887             # Example: see GEOM_TestAll.py
01888             theH,theW,Parameters = ParseParameters(theH, theW)
01889             anObj = self.PrimOp.MakeFaceObjHW(theObj, theH, theW)
01890             RaiseIfFailed("MakeFaceObjHW", self.PrimOp)
01891             anObj.SetParameters(Parameters)
01892             return anObj

Here is the call graph for this function:

def geompyDC.geompyDC.MakeSphere (   self,
  x,
  y,
  z,
  theR 
)

Create a sphere with given center and radius.

Parameters:
x,y,zCoordinates of sphere center.
theRSphere radius.
Returns:
New GEOM.GEOM_Object, containing the created sphere.

Example

Create a sphere with given center and radius.

Parameters: 
    x,y,z Coordinates of sphere center.
    theR Sphere radius.

Returns:
    New GEOM.GEOM_Object, containing the created sphere.

Definition at line 2052 of file geompyDC.py.

02052 
02053         def MakeSphere(self, x, y, z, theR):
02054             """
02055             Create a sphere with given center and radius.
02056 
02057             Parameters: 
02058                 x,y,z Coordinates of sphere center.
02059                 theR Sphere radius.
02060 
02061             Returns:
02062                 New GEOM.GEOM_Object, containing the created sphere.
02063             """
02064             # Example: see GEOM_TestAll.py
02065             point = self.MakeVertex(x, y, z)
02066             anObj = self.MakeSpherePntR(point, theR)
02067             return anObj

Here is the call graph for this function:

def geompyDC.geompyDC.MakeSpherePntR (   self,
  thePnt,
  theR 
)

Create a sphere with given center and radius.

Parameters:
thePntSphere center.
theRSphere radius.
Returns:
New GEOM.GEOM_Object, containing the created sphere.

Example

Create a sphere with given center and radius.

Parameters:
    thePnt Sphere center.
    theR Sphere radius.

Returns:    
    New GEOM.GEOM_Object, containing the created sphere.            

Definition at line 2028 of file geompyDC.py.

02028 
02029         def MakeSpherePntR(self, thePnt, theR):
02030             """
02031             Create a sphere with given center and radius.
02032 
02033             Parameters:
02034                 thePnt Sphere center.
02035                 theR Sphere radius.
02036 
02037             Returns:    
02038                 New GEOM.GEOM_Object, containing the created sphere.            
02039             """
02040             # Example: see GEOM_TestAll.py
02041             theR,Parameters = ParseParameters(theR)
02042             anObj = self.PrimOp.MakeSpherePntR(thePnt, theR)
02043             RaiseIfFailed("MakeSpherePntR", self.PrimOp)
02044             anObj.SetParameters(Parameters)
02045             return anObj

Here is the call graph for this function:

Here is the caller graph for this function:

def geompyDC.geompyDC.MakeSphereR (   self,
  theR 
)

Create a sphere with given radius at the origin of coordinate system.

Parameters:
theRSphere radius.
Returns:
New GEOM.GEOM_Object, containing the created sphere.

Example

Create a sphere with given radius at the origin of coordinate system.

Parameters: 
    theR Sphere radius.

Returns:
    New GEOM.GEOM_Object, containing the created sphere.            

Definition at line 2073 of file geompyDC.py.

02073 
02074         def MakeSphereR(self, theR):
02075             """
02076             Create a sphere with given radius at the origin of coordinate system.
02077 
02078             Parameters: 
02079                 theR Sphere radius.
02080 
02081             Returns:
02082                 New GEOM.GEOM_Object, containing the created sphere.            
02083             """
02084             # Example: see GEOM_TestAll.py
02085             theR,Parameters = ParseParameters(theR)
02086             anObj = self.PrimOp.MakeSphereR(theR)
02087             RaiseIfFailed("MakeSphereR", self.PrimOp)
02088             anObj.SetParameters(Parameters)
02089             return anObj

Here is the call graph for this function:

def geompyDC.geompyDC.MakeTorus (   self,
  thePnt,
  theVec,
  theRMajor,
  theRMinor 
)

Create a torus with given center, normal vector and radiuses.

Parameters:
thePntTorus central point.
theVecTorus axis of symmetry.
theRMajorTorus major radius.
theRMinorTorus minor radius.
Returns:
New GEOM.GEOM_Object, containing the created torus.

Example

Create a torus with given center, normal vector and radiuses.

Parameters: 
    thePnt Torus central point.
    theVec Torus axis of symmetry.
    theRMajor Torus major radius.
    theRMinor Torus minor radius.

           Returns:
    New GEOM.GEOM_Object, containing the created torus.

Definition at line 2170 of file geompyDC.py.

02170 
02171         def MakeTorus(self, thePnt, theVec, theRMajor, theRMinor):
02172             """
02173             Create a torus with given center, normal vector and radiuses.
02174 
02175             Parameters: 
02176                 thePnt Torus central point.
02177                 theVec Torus axis of symmetry.
02178                 theRMajor Torus major radius.
02179                 theRMinor Torus minor radius.
02180 
02181            Returns:
02182                 New GEOM.GEOM_Object, containing the created torus.
02183             """
02184             # Example: see GEOM_TestAll.py
02185             theRMajor,theRMinor,Parameters = ParseParameters(theRMajor,theRMinor)
02186             anObj = self.PrimOp.MakeTorusPntVecRR(thePnt, theVec, theRMajor, theRMinor)
02187             RaiseIfFailed("MakeTorusPntVecRR", self.PrimOp)
02188             anObj.SetParameters(Parameters)
02189             return anObj

Here is the call graph for this function:

def geompyDC.geompyDC.MakeTorusRR (   self,
  theRMajor,
  theRMinor 
)

Create a torus with given radiuses at the origin of coordinate system.

Parameters:
theRMajorTorus major radius.
theRMinorTorus minor radius.
Returns:
New GEOM.GEOM_Object, containing the created torus.

Example

           Create a torus with given radiuses at the origin of coordinate system.

           Parameters: 
    theRMajor Torus major radius.
    theRMinor Torus minor radius.

           Returns:
    New GEOM.GEOM_Object, containing the created torus.            

Definition at line 2196 of file geompyDC.py.

02196 
02197         def MakeTorusRR(self, theRMajor, theRMinor):
02198             """
02199            Create a torus with given radiuses at the origin of coordinate system.
02200 
02201            Parameters: 
02202                 theRMajor Torus major radius.
02203                 theRMinor Torus minor radius.
02204 
02205            Returns:
02206                 New GEOM.GEOM_Object, containing the created torus.            
02207             """
02208             # Example: see GEOM_TestAll.py
02209             theRMajor,theRMinor,Parameters = ParseParameters(theRMajor,theRMinor)
02210             anObj = self.PrimOp.MakeTorusRR(theRMajor, theRMinor)
02211             RaiseIfFailed("MakeTorusRR", self.PrimOp)
02212             anObj.SetParameters(Parameters)
02213             return anObj

Here is the call graph for this function: